/***************************************************************************
                          kmesstest.cpp  -  description
                             -------------------
    begin                : Sun Jan 5 2003
    copyright            : (C) 2003 by Mike K. Bennett
    email                : mkb137b@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmesstest.h"

#include <math.h>
#include <stdlib.h>

#include <qlistview.h>
#include <qregexp.h>

#include <kdebug.h>
#include <kapplication.h>

#include "settings/settingsdialog.h"
#include "network/msnnotificationconnection.h"
#include "network/msnswitchboardconnection.h"
#include "notification/contactonlinenotification.h"
#include "contact/contact.h"
#include "contact/contactlist.h"
#include "contact/group.h"
#include "currentaccount.h"
#include "kmess.h"
#include "kmessview.h"

// #include "network/upnp/manager.h"

// The constructor
KMessTest::KMessTest(KMess *kmess)
 : QObject()
 , kmess_(kmess)
{
}



// The destructor
KMessTest::~KMessTest()
{
  kdDebug() << "KMessTest DESTROYED" << endl;
}


#ifdef KMESSTEST

// The main testing function
void KMessTest::test()
{
  kdDebug() << "----------------------------------------" << endl << endl;
//  testNotificationConnection();
//  testContactListWithNotificationConnection();
//  testConnect();
//  testSettings();
//  testSwitchboardConnection();
//  testNotifications();
  testUpnpConnection();
  kdDebug()  << endl << "----------------------------------------" << endl;

  // Close the application
}

void KMessTest::testNotifications()
{
  /*ContactOnlineNotification *cn = new ContactOnlineNotification( kmess_->systemTrayWidget_, this, "cn" );
  Contact *contact = kmess_->msnNotificationConnection_->contactList_->getContactByHandle( "mkb137b@hotmail.com" );
  if ( contact != 0 )
  {
    cn->contactOnline( contact );
  }*/
}

void KMessTest::testNotificationConnection()                { }
void KMessTest::testContactListWithNotificationConnection() { }
void KMessTest::testConnect()                               { }
void KMessTest::testSettings()                              { }
void KMessTest::testSwitchboardConnection()                 { }

void KMessTest::testUpnpConnection()
{
//  UPnP::Manager *manager = UPnP::Manager::instance();
}

#endif  // KMESSTEST


#include "kmesstest.moc"
